## org.apache.maven.shared.io.scan
Class AbstractResourceInclusionScanner

    java.lang.Object
      org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner

All Implemented Interfaces:
  ResourceInclusionScanner

Direct Known Subclasses:
  SimpleResourceInclusionScanner, StaleResourceScanner

    public abstract class AbstractResourceInclusionScanner

extends java.lang.Object
implements ResourceInclusionScanner

Version:
  $Id: AbstractResourceInclusionScanner.java 595935 2007-11-17 11:39:34Z vsiveton $
Author:
  jdcasey

Constructor Summary
`AbstractResourceInclusionScanner()`

Method Summary
`void` `addSourceMapping(SourceMapping sourceMapping)`
`protected java.util.List` `getSourceMappings()`
`protected java.lang.String[]` `scanForSources(java.io.File sourceDir, java.util.Set sourceIncludes, java.util.Set sourceExcludes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.maven.shared.io.scan.ResourceInclusionScanner
`getIncludedSources`

Constructor Detail

### AbstractResourceInclusionScanner

    public AbstractResourceInclusionScanner()

Method Detail

### addSourceMapping

    public final void addSourceMapping(SourceMapping sourceMapping)

  Specified by:
    `addSourceMapping` in interface `ResourceInclusionScanner`

### getSourceMappings

    protected final java.util.List getSourceMappings()

### scanForSources

    protected java.lang.String[] scanForSources(java.io.File sourceDir,
                                                java.util.Set sourceIncludes,
                                                java.util.Set sourceExcludes)

Copyright © 2011. All Rights Reserved.